-- Copyright 2012 Jo-Philipp Wich <jow@openwrt.org>
-- Licensed to the public under the Apache License 2.0.

local m, s

m = Map("luci", translate("Router Appstore"),
	translate("This page allows you download apps to your router and deploy with custom settings."))

s = m:section(TypedSection, "command", "")
s.template = "cbi/tblsection"
s.anonymous = true
s.addremove = true


s:option(Value, "name", translate("Description"),
         translate("A short textual description of the app"))

s:option(Value, "info", translate("App Info"),
         translate("Provide Info about the app"))

s:option(Value, "command", translate("Command"),
         translate("command to install luci app"))

s:option(Flag, "param", translate("Custom arguments"),
         translate("Allow the user to provide additional command line arguments"))

s:option(Flag, "public", translate("Public access"),
         translate("Allow executing the command and downloading its output without prior authentication"))

return m
